package com.example.wearapp

import android.content.Context
import android.content.SharedPreferences
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Toast
import com.example.wearapp.databinding.ActivityDevicesBinding
import com.example.wearapp.network.RetrofitBuild
import com.example.wearapp.network.models.GetDevices
import com.example.wearapp.network.models.GetRooms
import io.paperdb.Paper
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response

class DevicesActivity : AppCompatActivity() {
    lateinit var sharedPreferences: SharedPreferences
    lateinit var binding: ActivityDevicesBinding
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityDevicesBinding.inflate(layoutInflater)
        setContentView(binding.root)
        Paper.init(this)
        val uuid =  Paper.book().read("uuId","")
        sharedPreferences = getSharedPreferences("main", Context.MODE_PRIVATE)
        val room = intent.getIntExtra("room",1)
        val token = sharedPreferences.getString("token","")
        RetrofitBuild().retrofitBuilder().getDevices(
            room = room,
            token = token.toString(),
            uuid = uuid.toString())
            .enqueue(object : Callback<GetDevices> {
                override fun onResponse(call: Call<GetDevices>, response: Response<GetDevices>) {
                    if (response.isSuccessful){
                        binding.devicesRec.adapter = response.body()
                            ?.let { DevicesAdapter(this@DevicesActivity, it) }
                    }
                }

                override fun onFailure(call: Call<GetDevices>, t: Throwable) {
                    Toast.makeText(this@DevicesActivity, t.localizedMessage, Toast.LENGTH_SHORT).show()
                }
            })
    }
}