package com.example.wearapp

import android.content.Context
import android.content.Intent
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.TextView
import androidx.constraintlayout.widget.ConstraintLayout
import androidx.recyclerview.widget.RecyclerView
import com.example.wearapp.network.models.GetDevices
import com.example.wearapp.network.models.GetRooms

class DevicesAdapter(val context: Context, val list: GetDevices): RecyclerView.Adapter<DevicesAdapter.MyVh>() {
    class MyVh(itemView: View): RecyclerView.ViewHolder(itemView) {
        val image:ImageView = itemView.findViewById(R.id.image_room)
        val name:TextView = itemView.findViewById(R.id.name_room)
        val lay:ConstraintLayout = itemView.findViewById(R.id.click_Lay)

    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): MyVh {
       val root = LayoutInflater.from(context).inflate(R.layout.rec_adapter,parent,false)
        return MyVh(root)
    }

    override fun onBindViewHolder(holder: MyVh, position: Int) {
        when(list.items[position].type){
            "LED"-> holder.image.setImageResource(R.drawable.ic_light)
            "Thermostat"->holder.image.setImageResource(R.drawable.ic_thermostat)

        else -> holder.image.setImageResource(R.drawable.ic_light)
        }
        holder.name.text = list.items[position].type
        holder.lay.setOnClickListener {
            val intnet = Intent(context,LightActivity::class.java)
            intnet.putExtra("id",list.items[position].id)
            intnet.putExtra("name",list.items[position].type)
            intnet.putExtra("light_lm",list.items[position].light_lm)
            context.startActivity(intnet)
        }
    }

    override fun getItemCount(): Int {
        return list.items.size
    }
}