package com.example.wearapp

import android.content.Intent
import android.content.SharedPreferences
import android.os.Build
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.os.CountDownTimer
import android.util.Log
import androidx.core.os.BuildCompat
import androidx.viewbinding.BuildConfig
import com.example.wearapp.databinding.ActivityLaunchBinding
import com.example.wearapp.network.RetrofitBuild
import com.example.wearapp.network.models.GetApp
import com.example.wearapp.network.models.Mobile
import io.paperdb.Paper
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response
import java.util.*
import kotlin.collections.HashMap

class LaunchActivity : AppCompatActivity() {
    lateinit var sharedPreferences: SharedPreferences
    lateinit var binding: ActivityLaunchBinding
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityLaunchBinding.inflate(layoutInflater)
        setContentView(binding.root)
        sharedPreferences = getSharedPreferences("main", MODE_PRIVATE)
        val editor = sharedPreferences.edit()
        RetrofitBuild().retrofitBuilder().getMobile("Competitor-1").enqueue(
            object : Callback<List<GetApp>> {
                override fun onResponse(
                    call: Call<List<GetApp>>,
                    response: Response<List<GetApp>>
                ) {
                    Log.d("GetApp",response.toString())
                }

                override fun onFailure(call: Call<List<GetApp>>, t: Throwable) {
                    t.printStackTrace()
                }
            }
        )
        var apiPost = sharedPreferences.getBoolean("api",true)
        if (apiPost){
            apiPost = false

            val appId = "com.example.wearapp"
            Log.d("appId",appId)
            val competitor = "Competitor-4"
            val device = Build.MANUFACTURER +" ${Build.MODEL}"
            Log.d("Device",device)
            val appPostHash:HashMap<String,String> = hashMapOf()
            appPostHash["appId"] = appId
            appPostHash["competitor"] = competitor
            RetrofitBuild().retrofitBuilder().postApp(appId,competitor)
                .enqueue(object : Callback<Any> {
                    override fun onResponse(call: Call<Any>, response: Response<Any>) {
                        Log.d("App success",response.toString())
                    }

                    override fun onFailure(call: Call<Any>, t: Throwable) {
                        Log.e("App error",t.localizedMessage)
                    }
                })
            val uniqueId = UUID.randomUUID().toString()
            Paper.init(this)
            Paper.book().write("uuId",uniqueId)
            Log.d("uniqueId",uniqueId)
            editor.putBoolean("api",apiPost)
            editor.apply()
            val mobilePostHash:HashMap<String,String> = hashMapOf()
            mobilePostHash["uuid"] = uniqueId
            mobilePostHash["appId"] = appId
            mobilePostHash["device"] = device

            RetrofitBuild().retrofitBuilder().postMobile(mobilePostHash)
                .enqueue(object : Callback<Mobile> {
                    override fun onResponse(call: Call<Mobile>, response: Response<Mobile>) {
                        if (response.isSuccessful){
                            Log.d("Mobile success",response.toString())
                        }
                    }

                    override fun onFailure(call: Call<Mobile>, t: Throwable) {
                        Log.e("Mobile error",t.localizedMessage)
                    }
                })
            timers()
        }
        else{
            timers()
        }
        binding = ActivityLaunchBinding.inflate(layoutInflater)
        setContentView(binding.root)


    }

    fun timers(){
        val timer = object : CountDownTimer(3000,1000){
            override fun onTick(millisUntilFinished: Long) {

            }

            override fun onFinish() {
                val intent = Intent(this@LaunchActivity,SignInActivity::class.java)
                startActivity(intent)
            }
        }
        timer.start()
    }
}