package com.example.wearapp

import android.content.Context
import android.content.Intent
import android.content.SharedPreferences
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import android.widget.Toast
import com.example.wearapp.databinding.ActivityMainBinding
import com.example.wearapp.databinding.ActivityMenuBinding
import com.example.wearapp.network.RetrofitBuild
import com.example.wearapp.network.models.GetRooms
import io.paperdb.Paper
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response

class MenuActivity : AppCompatActivity() {

    lateinit var sharedPreferences: SharedPreferences
    lateinit var editor: SharedPreferences.Editor
    lateinit var binding:ActivityMenuBinding
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityMenuBinding.inflate(layoutInflater)
        setContentView(binding.root)
        Paper.init(this)
        val uuid =  Paper.book().read("uuId","")
        sharedPreferences = getSharedPreferences("main", Context.MODE_PRIVATE)
        editor = sharedPreferences.edit()
        val token = sharedPreferences.getString("token","")
        RetrofitBuild().retrofitBuilder().getRooms(
            token = token.toString(),
            uuid = uuid.toString())
            .enqueue(object : Callback<GetRooms> {
                override fun onResponse(call: Call<GetRooms>, response: Response<GetRooms>) {
                    if (response.isSuccessful){
                        binding.roomRec.adapter = response.body()
                            ?.let { RecAdapter(this@MenuActivity, it) }
                    }
                }

                override fun onFailure(call: Call<GetRooms>, t: Throwable) {
                    Toast.makeText(this@MenuActivity, t.localizedMessage, Toast.LENGTH_SHORT).show()
                }
            })



    }

}