package com.example.wearapp.network

import com.example.wearapp.network.models.*
import retrofit2.Call
import retrofit2.http.*

interface ApiService {
    @POST("app")
    fun postApp(@Query("appId")appId:String,@Query("competitor")competitor:String): Call<Any>
    @POST("mobile")
    fun postMobile(@Body hashMap: HashMap<String,String>): Call<Mobile>

    @GET("app")
    fun getMobile(@Query("competitor") com:String):Call<List<GetApp>>

    @POST("user")
    fun register(@Header("email")email:String, @Header("password")password:String, @Header("uuid")uuid:String,@Header("name")name:String):Call<Secure>
    @OPTIONS("user")
    fun login(@Header("email")email:String, @Header("password")password:String, @Header("uuid")uuid:String):Call<Token>

    @GET("rooms")
    fun getRooms(@Header("token")token:String,@Header("uuid")uuid: String):Call<GetRooms>

    @GET("devices")
    fun getDevices(@Header("room")room:Int,@Header("token")token:String,@Header("uuid")uuid: String) : Call<GetDevices>

    @GET("devices/LED")
    fun getLedDevices(@Header("id")id:Int,@Header("token")token:String,@Header("uuid")uuid: String,@Header("light_lm")lithLm:String,@Header("name")name: String):Call<GetLed>
}